---
name: Honora Duncan
start_date: 2020-04-06
locality: Allen, TX
country: USA
role: <a href="/job-families/sales/channel-services/">Senior Channel Services Manager</a>
reports_to: channels-ed-c
picture: honoraduncan.jpg
twitter: 
gitlab: hduncan
departments:
- Sales
- Channels
story: I have been a services enthusiast throughout my career, and I am looking forward
  to helping GitLab Partners develop and operate thriving services businesses.
